com.impinj.stp

## Enum StpApi.CartonContentsResult

- java.lang.Object
- - java.lang.Enum<StpApi.CartonContentsResult>
  - - com.impinj.stp.StpApi.CartonContentsResult

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.CartonContentsResult>
  Enclosing class:
    StpApi

      public static enum StpApi.CartonContentsResult
      extends java.lang.Enum<StpApi.CartonContentsResult>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.CartonContentsResult`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CARTON_CONTENTS_RESULT_ERROR_NO_ENTER` The stop trigger was seen for this carton, but no corresponding start was seen.
    `CARTON_CONTENTS_RESULT_ERROR_NO_START` DEPRECATED
    `CARTON_CONTENTS_RESULT_OK` This indicates that the contents of this packet describes a carton for which the device had good data.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CARTON_CONTENTS_RESULT_ERROR_NO_ENTER_VALUE` The stop trigger was seen for this carton, but no corresponding start was seen.
    `static int` | `CARTON_CONTENTS_RESULT_ERROR_NO_START_VALUE` DEPRECATED
    `static int` | `CARTON_CONTENTS_RESULT_OK_VALUE` This indicates that the contents of this packet describes a carton for which the device had good data.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.CartonContentsResult>` | `internalGetValueMap()`
    `static StpApi.CartonContentsResult` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.CartonContentsResult` | `valueOf(int value)`
    `static StpApi.CartonContentsResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.CartonContentsResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CARTON_CONTENTS_RESULT_OK

          public static final StpApi.CartonContentsResult CARTON_CONTENTS_RESULT_OK

      This indicates that the contents of this packet describes a carton for which the device had good data.

    - #### CARTON_CONTENTS_RESULT_ERROR_NO_ENTER

          public static final StpApi.CartonContentsResult CARTON_CONTENTS_RESULT_ERROR_NO_ENTER

      The stop trigger was seen for this carton, but no corresponding start was seen. An example would be in a belt stoppage scenario during startup

    - #### CARTON_CONTENTS_RESULT_ERROR_NO_START

          public static final StpApi.CartonContentsResult CARTON_CONTENTS_RESULT_ERROR_NO_START

      DEPRECATED

  - ### Field Detail

    - #### CARTON_CONTENTS_RESULT_OK_VALUE

          public static final int CARTON_CONTENTS_RESULT_OK_VALUE

      This indicates that the contents of this packet describes a carton for which the device had good data.
      See Also:
        Constant Field Values

    - #### CARTON_CONTENTS_RESULT_ERROR_NO_ENTER_VALUE

          public static final int CARTON_CONTENTS_RESULT_ERROR_NO_ENTER_VALUE

      The stop trigger was seen for this carton, but no corresponding start was seen. An example would be in a belt stoppage scenario during startup
      See Also:
        Constant Field Values

    - #### CARTON_CONTENTS_RESULT_ERROR_NO_START_VALUE

          public static final int CARTON_CONTENTS_RESULT_ERROR_NO_START_VALUE

      DEPRECATED
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.CartonContentsResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.CartonContentsResult c : StpApi.CartonContentsResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.CartonContentsResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.CartonContentsResult valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.CartonContentsResult> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.CartonContentsResult valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)